/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.service;

import java.util.List;

import com.rjconsultores.ventaboletos.entidad.DispositivoEmbarcada;
import com.rjconsultores.ventaboletos.entidad.Empresa;
import com.rjconsultores.ventaboletos.entidad.PuntoVenta;
import com.rjconsultores.ventaboletos.exception.DispositivoEmbarcadaJaCadastradoException;

/**
 * 
 * @author Administrador
 */
public interface DispositivoEmbarcadaService {

	public List<DispositivoEmbarcada> obtenerTodos();
	public DispositivoEmbarcada suscribirActualizar(DispositivoEmbarcada dispositivoEmbarcada) throws DispositivoEmbarcadaJaCadastradoException;
	public DispositivoEmbarcada buscarVersaoUltimaSinc(String versaoUltimaSinc);
	public DispositivoEmbarcada buscarImeiDuplicado(String imei);
	public DispositivoEmbarcada suscribir(DispositivoEmbarcada entidad) throws DispositivoEmbarcadaJaCadastradoException;
	public DispositivoEmbarcada actualizacion(DispositivoEmbarcada entity);
	public DispositivoEmbarcada suscribirActualizacion(DispositivoEmbarcada entidad);
    public DispositivoEmbarcada buscarDispositivoPorId(DispositivoEmbarcada dispositivoEmbarcada);
    public List<DispositivoEmbarcada> buscarPorEmpresaPuntoVenta(Empresa empresa, PuntoVenta puntoventa);
    public List<String> buscarAllVersaoUltimaSinc();
	
}
